View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000972aMuleMiscpublic2006-09-23 02:232008-02-21 23:41
Reporterbrand77 
Assigned ToXaignar 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in Version 
Summary0000972: Crash when downloading server list with an invalid url
DescriptionIf you refresh the server list with an invalid url it crash, allways.

try with file://pippoplutopaperino [^]

it is not too strange and it should be handled...

TagsNo tags attached.
Fixed in Revision
Operating SystemAny (but I have ONLY GNU/Linux...)
Attached Files

- Relationships

-  Notes
(0002108)
Kry (manager)
2006-09-23 02:25

amule --version
(0002109)
brand77 (reporter)
2006-09-23 02:33

I'm unsure if this bug is present with all operating system since the path handling may be different for example on winzozz.
(0002111)
brand77 (reporter)
2006-09-23 02:36

aMule-CVS-20060918.tar.bz2

aMule CVS using wxGTK2 v2.6.1 (Snapshot: Mon Sep 18 07:01:53 CEST 2006) (OS: Linux)
(0002112)
brand77 (reporter)
2006-09-23 02:39
edited on: 2006-09-23 02:46

Kry, when I press "Add Note" it return an error like this:
 
 APPLICATION ERROR 0000401
   Database query failed. Error received from database was 1054: Unknown column 'p.field_id' in 'on clause' for the query: SELECT f.name, f.type, f.access_level_r, f.default_value, f.type, s.value
  FROM mantis_custom_field_project_table AS p, mantis_custom_field_table AS f
  LEFT JOIN mantis_custom_field_string_table AS s
  ON p.field_id=s.field_id AND s.bug_id='972'
  WHERE p.project_id = '1' AND p.field_id = f.id
  ORDER BY p.sequence ASC, f.name ASC

Is it a bug in Mantis?

edited on: 09-23-06 02:45

edited on: 09-23-06 02:46
(0002116)
brand77 (reporter)
2006-09-23 03:17

Note:
my test case is "file://pippoplutopaperino", [^] with two "/".
The correct one should be "file:///something/here", [^] however a wrong url can't cause a crash: it should be handled with a simple error message like this:

-----
Malformed URL
file://
-----

(from konqueror...)
(0002117)
brand77 (reporter)
2006-09-23 23:48
edited on: 2006-09-24 00:16

It does not happen any more on 20060923?
is it fixed?

edited on: 09-24-06 00:16
(0002641)
Xaignar (manager)
2008-02-21 23:41

This is indeed fixed in current SVN.

- Issue History
Date Modified Username Field Change
2006-09-23 02:23 brand77 New Issue
2006-09-23 02:23 brand77 Operating System => Any (but I have ONLY GNU/Linux...)
2006-09-23 02:25 Kry Note Added: 0002108
2006-09-23 02:33 brand77 Note Added: 0002109
2006-09-23 02:34 brand77 Note Added: 0002110
2006-09-23 02:36 brand77 Note Added: 0002111
2006-09-23 02:39 brand77 Note Added: 0002112
2006-09-23 02:39 brand77 Note Added: 0002113
2006-09-23 02:40 brand77 Note Added: 0002114
2006-09-23 02:45 brand77 Note Deleted: 0002113
2006-09-23 02:45 brand77 Note Edited: 0002112
2006-09-23 02:45 brand77 Note Deleted: 0002114
2006-09-23 02:46 brand77 Note Edited: 0002112
2006-09-23 02:46 brand77 Note Deleted: 0002110
2006-09-23 03:17 brand77 Note Added: 0002116
2006-09-23 23:48 brand77 Note Added: 0002117
2006-09-24 00:16 brand77 Note Edited: 0002117
2008-02-21 23:41 Xaignar Status new => resolved
2008-02-21 23:41 Xaignar Resolution open => fixed
2008-02-21 23:41 Xaignar Assigned To => Xaignar
2008-02-21 23:41 Xaignar Note Added: 0002641


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker